softhddevice mit OSD (va-api-glx) und 720p - kein Bild

  • Hallo,


    ich habe mich schon durchs Forum gesucht und mein Problem auch gefunden, allerdings keine Lösung ;)

    Ich nutze softhddevice mit va-api-glx wegen OSD. Läuft soweit nur bei 720p Sendern gibts kein Bild. Ich nutze:


    ubuntu 22.04

    VA-API version 1.14.0

    vdr 2.6.1


    Im syslog gibts immer diese Fehler:


    Oct 14 22:25:41 vdr vdr: video/glx: vaCopySurfaceGLX failed

    Oct 14 22:25:41 vdr vdr: video/vaapi: vaSyncSurface failed


    Gibt es da mittlerweile eine Lösung die ich nicht gefunden habe oder was ist der aktuelle Weg Hardwarebeschleunigung für die Anzeige unter vaapi im vdr zu nutzen?


    Danke & Gruß

    Torsten

    VDR: Silverstone SG05 Lite, ASRock MB H510M-HDV R2.0, I3 10100, 8GB RAM, Ubuntu 22.04, vdr 2.6.3, 120GB SSD, 8TB SSD, Digital Devices Max S8X, FLIRC, Nvidia GT730 als temp. vaapi-softhddevice-Bug-Workarround

  • Gibt es da mittlerweile eine Lösung die ich nicht gefunden habe oder was ist der aktuelle Weg Hardwarebeschleunigung für die Anzeige unter vaapi im vdr zu nutzen?


    Welche iHD Version und FFMPEG Version wird denn genutzt?


    Code
    ffmpeg version BM2LTS-4.4.2-dev Copyright (c) 2000-2021 the FFmpeg developers
      built with gcc 10 (Ubuntu 10.3.0-1ubuntu1~22.04)
      configuration: --prefix=HOME/ffmpeg_build --enable-static --enable-shared --enable-pic --prefix=/root/ffmpeg_build --pkg-config-flags=--static --extra-cflags=-I/root/ffmpeg_build/include --extra-ldflags=-L/root/ffmpeg_build/lib --extra-libs='-lpthread -lm' --ld=g++ --bindir=/root/bin --enable-gpl --enable-gnutls --enable-libaom --enable-libass --enable-libfdk-aac --enable-libfreetype --enable-libmp3lame --enable-libopus --enable-libsvtav1 --enable-libdav1d --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcodec2 --enable-libfontconfig --enable-libfribidi --enable-libgme --enable-libgsm --enable-libjack --enable-libxavs2 --enable-libmysofa --enable-libopenjpeg --enable-libopenh264 --enable-libopenmpt --enable-libv4l2 --enable-libpulse --enable-librsvg --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libkvazaar --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvidstab --enable-libvorbis --enable-libvpx --enable-libwebp --enable-libx264 --enable-libx265 --enable-libxml2 --enable-libxvid --enable-libzvbi --enable-omx --enable-openal --enable-opencl --enable-opengl --enable-vaapi --enable-libdrm --enable-lv2 --enable-xlib --enable-zlib --enable-vulkan --enable-version3 --enable-swresample --enable-nonfree

    (VDR) NUC11PAH & GEEKOM MINI-IT11-11. Generation * BM2LTS * DD NET S2 Max * NC * (Sound) Cinebar Lux Set * (Stream) Apple TV 4K (2022) *

    (Light) PHILIPS Hue Play HDMI Sync Box & Gradient Lightstrip * (OLED TV) LG OLED65G29LA

    Edited once, last by cinfo ().

  • Oct 14 22:25:41 vdr vdr: video/glx: vaCopySurfaceGLX failed

    Oct 14 22:25:41 vdr vdr: video/vaapi: vaSyncSurface failed


    hier vielleicht mal libva aktualisieren und dann die softhddevice Version neu bauen

    (VDR) NUC11PAH & GEEKOM MINI-IT11-11. Generation * BM2LTS * DD NET S2 Max * NC * (Sound) Cinebar Lux Set * (Stream) Apple TV 4K (2022) *

    (Light) PHILIPS Hue Play HDMI Sync Box & Gradient Lightstrip * (OLED TV) LG OLED65G29LA

  • Vielleicht mal schauen ob auch die aktuelle Intel Firmware geladen ist und ein aktueller Kernel 5.19.x oder 6.0.x.

    Oder mal softhddrm testen aus dem Git


    Welche Intel-Hardware (Chip-Satz) wird denn genutzt?

    (VDR) NUC11PAH & GEEKOM MINI-IT11-11. Generation * BM2LTS * DD NET S2 Max * NC * (Sound) Cinebar Lux Set * (Stream) Apple TV 4K (2022) *

    (Light) PHILIPS Hue Play HDMI Sync Box & Gradient Lightstrip * (OLED TV) LG OLED65G29LA

    Edited once, last by cinfo ().

  • Hier mal ein paar Antworten:


    Code
    # vainfo
    libva info: VA-API version 1.14.0
    libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/iHD_drv_video.so
    libva info: Found init function __vaDriverInit_1_14
    libva info: va_openDriver() returns 0
    vainfo: VA-API version: 1.14 (libva 2.12.0)
    vainfo: Driver version: Intel iHD driver for Intel(R) Gen Graphics - 22.3.1 ()
    vainfo: Supported profile and entrypoints
    Code
    ffmpeg version 4.4.2-0ubuntu0.22.04.1 Copyright (c) 2000-2021 the FFmpeg developers
    built with gcc 11 (Ubuntu 11.2.0-19ubuntu1)
    configuration: --prefix=/usr --extra-version=0ubuntu0.22.04.1 --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --arch=amd64 --enable-gpl --disable-stripping --enable-gnutls --enable-ladspa --enable-libaom --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libcodec2 --enable-libdav1d --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libjack --enable-libmp3lame --enable-libmysofa --enable-libopenjpeg --enable-libopenmpt --enable-libopus --enable-libpulse --enable-librabbitmq --enable-librubberband --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libsrt --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvidstab --enable-libvorbis --enable-libvpx --enable-libwebp --enable-libx265 --enable-libxml2 --enable-libxvid --enable-libzimg --enable-libzmq --enable-libzvbi --enable-lv2 --enable-omx --enable-openal --enable-opencl --enable-opengl --enable-sdl2 --enable-pocketsphinx --enable-librsvg --enable-libmfx --enable-libdc1394 --enable-libdrm --enable-libiec61883 --enable-chromaprint --enable-frei0r --enable-libx264 --enable-shared

    CPU ist ein Intel Core i3 10100, sollte also die UHD-Grafik 630 sein.

    Mainboard ist ein ASRock MB H510M-HDV R2.0 mit Intel Chipsatz H510.

    Alle Paket sind original aus der ubuntu 22.04 LTS Version mit Kernel 5.15.

    VDR: Silverstone SG05 Lite, ASRock MB H510M-HDV R2.0, I3 10100, 8GB RAM, Ubuntu 22.04, vdr 2.6.3, 120GB SSD, 8TB SSD, Digital Devices Max S8X, FLIRC, Nvidia GT730 als temp. vaapi-softhddevice-Bug-Workarround

  • Bei H510 - Rocket Lake-GPUs


    Das sollte im Grub stehen aus:

    Code
    $ dmesg | grep i915 -A4

    könnte auch ein anderer Wert sein (mal prüfen) = 4c8a


    <span style="color:#0000FF;">/etc/default/grub</span>

    Code
    GRUB_CMDLINE_LINUX="... quiet i915.force_probe=4c8a i915 enable_guc=2"

    /lib/firmware/i915 aktualisieren

    https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/tree/i915

    Code
    sudo apt-get install firmware-linux

    (VDR) NUC11PAH & GEEKOM MINI-IT11-11. Generation * BM2LTS * DD NET S2 Max * NC * (Sound) Cinebar Lux Set * (Stream) Apple TV 4K (2022) *

    (Light) PHILIPS Hue Play HDMI Sync Box & Gradient Lightstrip * (OLED TV) LG OLED65G29LA

    Edited 2 times, last by cinfo ().

  • Die Firmware ist aktuell (per apt).

    Der Fix per i915.force_probe ist wie du schreibst für Rocket Lake = Gen 11. Ich habe aber eine 10100 = Gen 10, sollte also nicht das Problem sein.

    VDR: Silverstone SG05 Lite, ASRock MB H510M-HDV R2.0, I3 10100, 8GB RAM, Ubuntu 22.04, vdr 2.6.3, 120GB SSD, 8TB SSD, Digital Devices Max S8X, FLIRC, Nvidia GT730 als temp. vaapi-softhddevice-Bug-Workarround

  • Es sieht so aus, als hätte ich dieses Problem mit iHD-Treibern, alles funktionierte mit i965-Treibern.

    GLX funktioniert nicht, aber EGL funktioniert gut.

    Während ich mich mit GLX beschäftige, versuche EGL im Testzweig mit va-api-egl.

    aktuelle iHD Version ist

    vainfo: Driver version: Intel iHD driver for Intel(R) Gen Graphics - 22.6.0 (614669483)

    benötigt

    libva info: VA-API version 1.17.0

    (VDR) NUC11PAH & GEEKOM MINI-IT11-11. Generation * BM2LTS * DD NET S2 Max * NC * (Sound) Cinebar Lux Set * (Stream) Apple TV 4K (2022) *

    (Light) PHILIPS Hue Play HDMI Sync Box & Gradient Lightstrip * (OLED TV) LG OLED65G29LA

  • Just to unterstand you correctly. I have tried to start softhddevice with "-v va-api-egl" from you test branch, but i got no picture at all. I used the vaapi version from ubuntu 22.04 (VA-API version 1.14.0 / Intel iHD driver for Intel(R) Gen Graphics - 22.3.1) which are older then yours. Where are your versions from? Are there a repository to use or do you have them compiled by yourself (from which sources)?

    VDR: Silverstone SG05 Lite, ASRock MB H510M-HDV R2.0, I3 10100, 8GB RAM, Ubuntu 22.04, vdr 2.6.3, 120GB SSD, 8TB SSD, Digital Devices Max S8X, FLIRC, Nvidia GT730 als temp. vaapi-softhddevice-Bug-Workarround

  • intel-media-va-driver:amd64 22.3.1+dfsg1-1ubuntu1

    All from ubuntu 22.04.
    Any errors with va-api-egl?

  • Ok same version here. I started vdr and softhddevice with '-d va-api-egl', log says:

    Code
    video: 'va-api-egl' output module isn't supported


    If i start only with '-d va-api' 720p is not working:

    Code
    video/vaapi: vaSyncSurface failed: operation failed


    Anything i forget regarding egl as i got different results than you?

    VDR: Silverstone SG05 Lite, ASRock MB H510M-HDV R2.0, I3 10100, 8GB RAM, Ubuntu 22.04, vdr 2.6.3, 120GB SSD, 8TB SSD, Digital Devices Max S8X, FLIRC, Nvidia GT730 als temp. vaapi-softhddevice-Bug-Workarround

  • 'va-api-egl' output module isn't supported - you compiled without egl.

    Try install:

    va-api and va-api-glx not works for me with iHD driver too.

  • Sorry, i got the code by git clone with the proposed html link, but that was the wrong code..

    Now i have the right one, but it works not like expected: 720p channels starts with full green screen an then the picture is shown but flickers with the green background. In log only sometimes these messages are shown:

    Code
    Oct 22 18:13:51 vdr vdr: video/vaapi: vaSyncSurface failed
    Oct 22 18:13:52 vdr vdr: video/vaapi: can't destroy 0 surfaces

    VDR: Silverstone SG05 Lite, ASRock MB H510M-HDV R2.0, I3 10100, 8GB RAM, Ubuntu 22.04, vdr 2.6.3, 120GB SSD, 8TB SSD, Digital Devices Max S8X, FLIRC, Nvidia GT730 als temp. vaapi-softhddevice-Bug-Workarround

  • Anyhow, currently softhddevice with va-api-egl (your test branch) and no hardware acceleration (-w no-hw-decoder) is the one that works for me at all. With va-api-glx i have a second problem beside the 720p one: i use two displays (:0.0 and :0.1), the second is for osd2web. I start softhddevice in fullscreen mode on :0.0 and the pictures is flickering at all (until i double click twice in the screen to make it smaller and then full screen again. This happens only in two display mode. If i use one display containing both screens with offset, there is no flickering. va-api-egl is also fine in two display mode.

    VDR: Silverstone SG05 Lite, ASRock MB H510M-HDV R2.0, I3 10100, 8GB RAM, Ubuntu 22.04, vdr 2.6.3, 120GB SSD, 8TB SSD, Digital Devices Max S8X, FLIRC, Nvidia GT730 als temp. vaapi-softhddevice-Bug-Workarround

  • No i use -v cpu-egl as it's the only way to get it working at all. xinelibout is also possible without vaapi but only without the skindesigner plugin as vdr crashes with them. So i test vdr with softhddevice with -v cpu-egl to take it for daily use. But randomly (between 1 to 4 hours) i got this error that will block vdr (video and audio) for about a minute until the freeze its gone:



    This is a blocker for going live, but i found a lot of similar errors in the net, but no solution until now. Any ideas about that?

    VDR: Silverstone SG05 Lite, ASRock MB H510M-HDV R2.0, I3 10100, 8GB RAM, Ubuntu 22.04, vdr 2.6.3, 120GB SSD, 8TB SSD, Digital Devices Max S8X, FLIRC, Nvidia GT730 als temp. vaapi-softhddevice-Bug-Workarround

    Edited once, last by wtor ().

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!